import 'package:flutter/material.dart';
import 'package:http/http.dart' as http;

const SERVER_URI = "https://127.0.0.1:8443";

void main() {
  runApp(App());
}

class App extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: DefaultPage(),
    );
  }
}

// Default page
class DefaultPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Flutter Mobile App'),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            const Text(
              'Default flutter app page!',
              style: TextStyle(fontSize: 24),
            ),
            SizedBox(height: 20),
            ElevatedButton(
              onPressed: () async {
                // Attempt to connect to server
                var response = await http.get(Uri.parse(SERVER_URI));
                
                print('Response from server: ${response.body}');
              },
              child: const Text('Connected to server'),
            ),
          ],
        ),
      ),
    );
  }
}
